Bug 554461 - Review Request: saslwrapper - simple wraper for using cyrus-sasl from scripting languages
Summary: Review Request: saslwrapper - simple wraper for using cyrus-sasl from scripti...
Keywords:
Status: CLOSED DUPLICATE of bug 828626
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-11 19:12 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-17 22:42:21 UTC
nsantos: fedora-review?


Attachments (Terms of Use)

Description Rafael H. Schloming 2010-01-11 19:12:19 UTC
Spec URL: http://people.redhat.com/rafaels/specs/saslwrapper.spec
SRPM URL: http://people.redhat.com/rafaels/srpms/saslwrapper-0.1.897961-1.src.rpm
Description:

This package provides a simplified interface to cyrus-sasl that makes it easy to create bindings for scripting languages. This package includes ruby and qpid bindings as well.

Comment 1 Nuno Santos 2010-01-14 19:37:35 UTC
Reviewed saslwrapper-0.1.897961-3 (rebuilt srpm linked to above with the specfile provided)

Here are the results as per the packaging review guidelines:

* MUST: rpmlint must be run on every package. The output should be posted in the review.

$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/*.rpm
python-saslwrapper.i686: W: summary-ended-with-dot Python bindings for saslwrapper.
python-saslwrapper.i686: W: no-documentation
ruby-saslwrapper.i686: W: summary-ended-with-dot Ruby bindings for saslwrapper.
ruby-saslwrapper.i686: W: no-documentation
saslwrapper.i686: W: summary-ended-with-dot Ruby and Python wrappers for the cyrus sasl library.
saslwrapper.src: W: summary-ended-with-dot Ruby and Python wrappers for the cyrus sasl library.
saslwrapper-devel.i686: W: summary-ended-with-dot Header files for developing with saslwrapper.
saslwrapper-devel.i686: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 8 warnings.

--> Please fix rpmlint warnings.

* MUST: The package must be named according to the Package Naming Guidelines .
OK

* MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK

* MUST: The package must meet the Packaging Guidelines .
OK

* MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
OK

* MUST: The License field in the package spec file must match the actual license.
OK

* MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK

* MUST: The spec file must be written in American English.
OK

* MUST: The spec file for the package MUST be legible.
OK

* MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

--> Missing source tarfile info / md5 sum. Please see 
http://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control for what to include in the specfile

* MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK

* MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
N/A

* MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK

* MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A

* MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK

* MUST: Packages must NOT bundle copies of system libraries.
OK

* MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
N/A

* MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK

* MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
OK

* MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK

* MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK

* MUST: Each package must consistently use macros.
OK

* MUST: The package must contain code, or permissable content.
OK

* MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
N/A

* MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
OK

* MUST: Header files must be in a -devel package.
OK

* MUST: Static libraries must be in a -static package.
N/A

* MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
N/A

* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
OK

* MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK

* MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
OK

* MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
N/A

* MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
OK

* MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK

* MUST: All filenames in rpm packages must be valid UTF-8.
OK

* SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A

* SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
N/A

* SHOULD: The reviewer should test that the package builds in mock.
OK

$ mock -r fedora-rawhide-i386 ~/rpmbuild/SRPMS/saslwrapper-0.1.897961-3.fc11.src.rpm 
INFO: mock.py version 1.0.2 starting...
State Changed: init plugins
State Changed: start
INFO: Start(/home/nsantos/rpmbuild/SRPMS/saslwrapper-0.1.897961-3.fc11.src.rpm)  Config(fedora-rawhide-i386)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
Mock Version: 1.0.2
INFO: Mock Version: 1.0.2
INFO: enabled root cache
INFO: root cache aged out! cache will be rebuilt
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: creating cache
State Changed: setup
State Changed: build
INFO: Done(/home/nsantos/rpmbuild/SRPMS/saslwrapper-0.1.897961-3.fc11.src.rpm) Config(fedora-rawhide-i386) 2 minutes 36 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-rawhide-i386/result

$ ls -alF /var/lib/mock/fedora-rawhide-i386/result
total 692
drwxrwsr-x. 2 nsantos mock   4096 2010-01-14 14:15 ./
drwxrwsr-x. 4 root    mock   4096 2010-01-14 14:12 ../
-rw-rw-r--. 1 nsantos mock  35609 2010-01-14 14:15 build.log
-rw-r--r--. 1 nsantos mock  23692 2010-01-14 14:15 python-saslwrapper-0.1.897961-3.fc13.i686.rpm
-rw-rw-r--. 1 nsantos mock  46766 2010-01-14 14:15 root.log
-rw-r--r--. 1 nsantos mock  16700 2010-01-14 14:15 ruby-saslwrapper-0.1.897961-3.fc13.i686.rpm
-rw-r--r--. 1 nsantos mock  17200 2010-01-14 14:15 saslwrapper-0.1.897961-3.fc13.i686.rpm
-rw-r--r--. 1 nsantos mock 364723 2010-01-14 14:14 saslwrapper-0.1.897961-3.fc13.src.rpm
-rw-r--r--. 1 nsantos mock 160928 2010-01-14 14:15 saslwrapper-debuginfo-0.1.897961-3.fc13.i686.rpm
-rw-r--r--. 1 nsantos mock   5024 2010-01-14 14:15 saslwrapper-devel-0.1.897961-3.fc13.i686.rpm
-rw-rw-r--. 1 nsantos mock    312 2010-01-14 14:15 state.log

* SHOULD: The package should compile and build into binary rpms on all supported architectures.
Tested i686 only

* SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
OK

* SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
N/A

* SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
OK

* SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
N/A

* SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
N/A



Rafi: there are only 2 issues that need to be addressed, I'm copying them again below for ease of reference:
--> Please fix rpmlint warnings (see detail above)
--> Missing source tarfile info / md5 sum. Please see 
http://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control for what to include in the specfile

When you provide an updated specfile I'll re-review.

Comment 2 Dan Callaghan 2012-04-16 21:42:16 UTC
Any update on this review? We are using saslwrapper and are very keen to see it accepted into Fedora. Is there anything I can do to help get this moving along?

Comment 3 Dan Callaghan 2012-06-05 04:30:55 UTC
I've filed a new review request for saslwrapper: bug 828626.

Comment 4 Dan Callaghan 2012-07-17 22:42:21 UTC
saslwrapper is now available in updates-testing for F16 and F17.

*** This bug has been marked as a duplicate of bug 828626 ***


Note You need to log in before you can comment on or make changes to this bug.